commit:     4c2e6a53475e49ef74dab3875af5387c2218f580
Author:     Petr Písař <petr.pisar <AT> atlas <DOT> cz>
AuthorDate: Sun Mar 10 19:53:29 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 12 02:23:01 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c2e6a53

net-libs/libisds: Fix building with >=dev-libs/libxml-2.12.0

A fix ported from upstream:

    commit 0539e12b3de14a77481bd3f87b301b7e7550172c (HEAD -> master, 
repo.or.cz/master)
    Author: Petr Písař <petr.pisar <AT> atlas.cz>
    Date:   Thu Nov 23 21:10:05 2023 +0100

        Fix building with libxml2-2.12.0

        libxml-2.12.0 shuffled included header files.

Closes: https://bugs.gentoo.org/926129
Signed-off-by: Petr Písař <petr.pisar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 ...s-0.11.1-Fix-building-with-libxml2-2.12.0.patch | 37 ++++++++++++++
 net-libs/libisds/libisds-0.11.1-r2.ebuild          | 59 ++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git 
a/net-libs/libisds/files/libisds-0.11.1-Fix-building-with-libxml2-2.12.0.patch 
b/net-libs/libisds/files/libisds-0.11.1-Fix-building-with-libxml2-2.12.0.patch
new file mode 100644
index 000000000000..7fc65894b156
--- /dev/null
+++ 
b/net-libs/libisds/files/libisds-0.11.1-Fix-building-with-libxml2-2.12.0.patch
@@ -0,0 +1,37 @@
+From 0539e12b3de14a77481bd3f87b301b7e7550172c Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Petr=20P=C3=ADsa=C5=99?= <petr.pi...@atlas.cz>
+Date: Thu, 23 Nov 2023 21:10:05 +0100
+Subject: [PATCH] Fix building with libxml2-2.12.0
+
+libxml-2.12.0 shuffled included header files.
+---
+ test/offline/isds_message_free.c | 1 +
+ test/simline/service.c           | 1 +
+ 2 files changed, 2 insertions(+)
+
+diff --git a/test/offline/isds_message_free.c 
b/test/offline/isds_message_free.c
+index 3c2096e..f819d19 100644
+--- a/test/offline/isds_message_free.c
++++ b/test/offline/isds_message_free.c
+@@ -1,5 +1,6 @@
+ #include "../test.h"
+ #include "isds.h"
++#include <libxml/parser.h>
+ 
+ static int test_isds_message_free(struct isds_message **message) {
+     isds_message_free(message);
+diff --git a/test/simline/service.c b/test/simline/service.c
+index 533bed5..fea6e87 100644
+--- a/test/simline/service.c
++++ b/test/simline/service.c
+@@ -6,6 +6,7 @@
+ #include "system.h"
+ #include <string.h>
+ #include <stdint.h>     /* For intmax_t */
++#include <stdlib.h>     /* For free() */
+ #include <inttypes.h>   /* For PRIdMAX */
+ #include <ctype.h>      /* for isdigit() */
+ #include <libxml/parser.h>
+-- 
+2.43.0
+

diff --git a/net-libs/libisds/libisds-0.11.1-r2.ebuild 
b/net-libs/libisds/libisds-0.11.1-r2.ebuild
new file mode 100644
index 000000000000..fb326eb24572
--- /dev/null
+++ b/net-libs/libisds/libisds-0.11.1-r2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Client library for accessing ISDS Soap services"
+HOMEPAGE="http://xpisar.wz.cz/libisds/";
+SRC_URI="http://xpisar.wz.cz/${PN}/dist/${P}.tar.xz";
+KEYWORDS="~amd64 ~mips ~x86"
+
+LICENSE="LGPL-3"
+SLOT="0"
+IUSE="+curl debug doc nls openssl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/expat
+       dev-libs/libxml2
+       curl? ( net-misc/curl[ssl] )
+       doc? (
+               app-text/docbook-xsl-stylesheets
+               dev-libs/libxslt
+       )
+       openssl? ( dev-libs/openssl:= )
+       !openssl? (
+               app-crypt/gnupg
+               app-crypt/gpgme:=
+               dev-libs/libgcrypt:=
+       )"
+DEPEND="${RDEPEND}
+       test? ( net-libs/gnutls )"
+BDEPEND="
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-0.11.1-Fix-building-with-libxml2-2.12.0.patch"
+)
+
+src_configure() {
+       local myeconfargs=(
+               --disable-fatalwarnings
+               --disable-static
+               $(use_with curl libcurl)
+               $(use_enable curl curlreauthorizationbug)
+               $(use_enable doc)
+               $(use_enable debug)
+               $(use_enable nls)
+               $(use_enable openssl openssl-backend)
+               $(use_enable test)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to